Get pull event time-series metrics
GET /v1/pull-metrics/timeseries
Retrieve time-bucketed pull event metrics for charting and analysis. Returns data points at intervals appropriate for the selected window.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Time window for metrics
Filter by specific pull endpoint
Responses
Section titled “ Responses ”Pull time-series metrics retrieved successfully
object
object
object
Start time of this bucket
Example
2025-12-06T00:00:00ZDelivered (acknowledged) messages in this bucket
Example
450Messages received but not yet fetched by the customer
Example
10Messages fetched by the customer but not yet acknowledged
Example
5Total messages received in this bucket
Example
465object
Unique identifier for this request (useful for support)
Example
req_xyz123Invalid request
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Examples
Endpoint not found
{ "error": { "code": "ENDPOINT_NOT_FOUND", "message": "endpoint not found" }, "meta": { "request_id": "req_xyz123" }}Invalid endpoint ID format
{ "error": { "code": "INVALID_REQUEST", "message": "endpoint_id must be in format ep_xxx" }, "meta": { "request_id": "req_xyz123" }}Invalid payload
{ "error": { "code": "INVALID_REQUEST", "message": "payload must be valid JSON" }, "meta": { "request_id": "req_xyz123" }}Invalid headers
{ "error": { "code": "INVALID_HEADERS", "message": "header 'Host' is forbidden and cannot be overridden" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.